import { IgxGridActionsBaseDirective } from './grid-actions-base.directive';
export declare class IgxGridEditingActionsComponent extends IgxGridActionsBaseDirective {
    /**
     * Host `class.igx-action-strip` binding.
     * @hidden
     * @internal
     */
    cssClass: string;
    private isMessageShown;
    /**
     * Enter row or cell edit mode depending the grid rowEditable option
     * @example
     * ```typescript
     * this.gridEditingActions.startEdit();
     * ```
     */
    startEdit(event?: any): void;
    /**
     * Delete a row according to the context
     * @example
     * ```typescript
     * this.gridEditingActions.deleteRow();
     * ```
     */
    deleteRow(event?: any): void;
    /**
     * Getter if the row is disabled
     * @hidden
     * @internal
     */
    get disabled(): boolean;
}
