import { ChangeDetectorRef, ElementRef, NgZone, OnInit, TemplateRef } from '@angular/core';
import { IgxGridCellComponent } from '../cell.component';
import { GridBaseAPIService } from '../api.service';
import { PlatformUtil } from '../../core/utils';
import { IgxGridBaseDirective } from './public_api';
import { IgxGridSelectionService, IgxGridCRUDService } from '../selection/selection.service';
import { HammerGesturesManager } from '../../core/touch';
import { GridType } from '../common/grid.interface';
export declare class IgxGridExpandableCellComponent extends IgxGridCellComponent implements OnInit {
    protected zone: NgZone;
    document: any;
    protected platformUtil: PlatformUtil;
    constructor(selectionService: IgxGridSelectionService, crudService: IgxGridCRUDService, gridAPI: GridBaseAPIService<IgxGridBaseDirective & GridType>, cdr: ChangeDetectorRef, element: ElementRef, zone: NgZone, touchManager: HammerGesturesManager, document: any, platformUtil: PlatformUtil);
    /**
     * @hidden
     */
    expanded: boolean;
    indicator: ElementRef;
    indentationDiv: ElementRef;
    /**
     * @hidden
     */
    protected defaultExpandedTemplate: TemplateRef<any>;
    /**
     * @hidden
     */
    protected defaultCollapsedTemplate: TemplateRef<any>;
    /**
     * @hidden
     */
    toggle(event: Event): void;
    /**
     * @hidden
     */
    onIndicatorFocus(): void;
    /**
     * @hidden
     */
    calculateSizeToFit(range: any): number;
    /**
     * @hidden
     */
    get iconTemplate(): any;
    /**
     * @hidden
     */
    get showExpanderIndicator(): boolean;
}
