import { ChangeDetectorRef, DoCheck, ElementRef, NgZone, OnDestroy } from '@angular/core';
import { SortingDirection } from '../../data-operations/sorting-expression.interface';
import { GridBaseAPIService } from '../api.service';
import { IgxColumnComponent } from '../columns/column.component';
import { IgxGridBaseDirective } from '../grid-base.directive';
import { IgxColumnResizingService } from '../resizing/resizing.service';
import { GridType } from '../common/grid.interface';
/**
 * @hidden
 */
export declare class IgxGridHeaderComponent implements DoCheck, OnDestroy {
    gridAPI: GridBaseAPIService<IgxGridBaseDirective & GridType>;
    colResizingService: IgxColumnResizingService;
    cdr: ChangeDetectorRef;
    elementRef: ElementRef;
    zone: NgZone;
    private _destroy$;
    column: IgxColumnComponent;
    gridID: string;
    /**
     * Returns the `aria-selected` of the header.
     */
    get ariaSelected(): boolean;
    get styleClasses(): string;
    get height(): number;
    get ascending(): boolean;
    get descending(): boolean;
    get sortingIcon(): string;
    get sorted(): boolean;
    get filterIconClassName(): "igx-excel-filter__icon--filtered" | "igx-excel-filter__icon";
    get selectable(): boolean;
    get selected(): boolean;
    get columnTitle(): string;
    hostRole: string;
    get headerID(): string;
    protected sortDirection: SortingDirection;
    constructor(gridAPI: GridBaseAPIService<IgxGridBaseDirective & GridType>, colResizingService: IgxColumnResizingService, cdr: ChangeDetectorRef, elementRef: ElementRef, zone: NgZone);
    ngDoCheck(): void;
    ngOnDestroy(): void;
    onClick(event: any): void;
    onFilteringIconClick(event: any): void;
    get grid(): any;
    protected getSortDirection(): void;
    onSortingIconClick(event: any): void;
    private triggerSort;
    /**
     * @hidden
     */
    onPinterEnter(): void;
    /**
     * @hidden
     */
    onPointerLeave(): void;
}
