import { OnDestroy, ElementRef, ViewContainerRef, NgZone, Renderer2, ChangeDetectorRef } from '@angular/core';
import { IgxDragDirective } from '../../directives/drag-drop/drag-drop.directive';
import { IgxColumnComponent } from '../columns/column.component';
import { IgxColumnMovingService } from './moving.service';
/**
 * @hidden
 * @internal
 */
export declare class IgxColumnMovingDragDirective extends IgxDragDirective implements OnDestroy {
    element: ElementRef<HTMLElement>;
    viewContainer: ViewContainerRef;
    zone: NgZone;
    renderer: Renderer2;
    cdr: ChangeDetectorRef;
    private cms;
    set data(val: any);
    get column(): IgxColumnComponent;
    get draggable(): boolean;
    get icon(): HTMLElement;
    private subscription$;
    private _column;
    private _ghostClass;
    private ghostImgIconClass;
    private ghostImgIconGroupClass;
    private columnSelectedClass;
    constructor(element: ElementRef<HTMLElement>, viewContainer: ViewContainerRef, zone: NgZone, renderer: Renderer2, cdr: ChangeDetectorRef, cms: IgxColumnMovingService);
    ngOnDestroy(): void;
    onEscape(event: any): void;
    onPointerDown(event: any): void;
    onPointerMove(event: any): void;
    onPointerUp(event: any): void;
    protected createGhost(pageX: any, pageY: any): void;
    private _unsubscribe;
}
