import { IPositionStrategy } from './IPositionStrategy';
import { PositionSettings, Size } from './../utilities';
/**
 * Positions the element based on the directions passed in trough PositionSettings.
 * These are Top/Middle/Bottom for verticalDirection and Left/Center/Right for horizontalDirection
 */
export declare class GlobalPositionStrategy implements IPositionStrategy {
    protected _defaultSettings: PositionSettings;
    /** @inheritdoc */
    settings: PositionSettings;
    constructor(settings?: PositionSettings);
    /** @inheritdoc */
    position(contentElement: HTMLElement, size?: Size, document?: Document, initialCall?: boolean): void;
    protected setPosition(contentElement: HTMLElement, settings: PositionSettings): void;
    /** @inheritdoc */
    clone(): IPositionStrategy;
}
