import { TemplateRef } from '@angular/core';
import { TicksOrientation, TickLabelsOrientation } from '../slider.common';
/**
 * @hidden
 */
export declare class IgxTicksComponent {
    primaryTicks: number;
    secondaryTicks: number;
    primaryTickLabels: boolean;
    secondaryTickLabels: boolean;
    ticksOrientation: TicksOrientation;
    tickLabelsOrientation: TickLabelsOrientation;
    maxValue: number;
    minValue: number;
    labelsViewEnabled: boolean;
    labels: Array<number | string | boolean | null | undefined>;
    tickLabelTemplateRef: TemplateRef<any>;
    /**
     * @hidden
     */
    ticksClass: boolean;
    /**
     * @hidden
     */
    get ticksTopClass(): boolean;
    /**
     * @hidden
     */
    get hasPrimaryClass(): boolean;
    /**
     * @hidden
     */
    get labelsTopToBottomClass(): boolean;
    /**
     * @hidden
     */
    get labelsBottomToTopClass(): boolean;
    /**
     * Returns the template context corresponding to
     * {@link IgxTickLabelTemplateDirective}
     *
     * ```typescript
     * return {
     *  $implicit //returns the value per each tick label.
     *  isPrimery //returns if the tick is primary.
     *  labels // returns the {@link labels} collection.
     *  index // returns the index per each tick of the whole sequence.
     * }
     * ```
     *
     * @param idx the index per each tick label.
     */
    context(idx: number): any;
    /**
     * @hidden
     */
    get ticksLength(): number;
    hiddenTickLabels(idx: number): boolean;
    /**
     * @hidden
     */
    isPrimary(idx: number): boolean;
    /**
     * @hidden
     */
    tickLabel(idx: number): string | number | boolean;
}
