import * as ts from 'typescript';
import { Tree } from '@angular-devkit/schematics';
export declare const PACKAGE_IMPORT = "igniteui-angular";
/** Returns an source file */
export declare function getIdentifierPositions(sourceText: string, name: string): Array<{
    start: number;
    end: number;
}>;
/** Returns the positions of import from module string literals  */
export declare function getImportModulePositions(sourceText: string, startsWith: string): Array<{
    start: number;
    end: number;
}>;
export declare function getRenamePositions(sourcePath: string, name: string, service: ts.LanguageService): Array<{
    start: number;
    end: number;
}>;
/**
 * Create a TypeScript language service
 * @param filePaths Paths for files to include for the language service host
 * @param host Virtual FS host
 * @param options Typescript compiler options for the service
 */
export declare function getLanguageService(filePaths: string[], host: Tree, options?: ts.CompilerOptions): ts.LanguageService;
