"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const UpdateChanges_1 = require("../common/UpdateChanges");
const version = '9.1.0';
function default_1() {
    return (host, context) => {
        context.logger.info(`Applying migration for Ignite UI for Angular to version ${version}`);
        const update = new UpdateChanges_1.UpdateChanges(__dirname, host, context);
        update.addValueTransform('rowSelectable_is_deprecated', (args) => {
            if (args.bindingType === UpdateChanges_1.InputPropertyType.EVAL) {
                switch (args.value) {
                    case 'true':
                        args.value = 'multiple';
                        args.bindingType = UpdateChanges_1.InputPropertyType.STRING;
                        break;
                    case 'false':
                        args.value = 'none';
                        args.bindingType = UpdateChanges_1.InputPropertyType.STRING;
                        break;
                    default:
                        args.value += ` ? 'multiple' : 'none' `;
                }
            }
            else {
                args.value = 'multiple';
            }
        });
        update.applyChanges();
    };
}
exports.default = default_1;
